## org.exist.xquery.test
Class OpNumericTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.exist.xquery.test.OpNumericTest

All Implemented Interfaces:
  junit.framework.Test

public class OpNumericTest
extends junit.framework.TestCase

Constructor Summary
`OpNumericTest()`

Method Summary
`void` `test_divReturnType1()`
`void` `test_divReturnType2()`
`void` `test_divReturnType3()`
`void` `test_divReturnType4()`
`void` `test_divReturnType5()`
`void` `test_divReturnType6()`
`void` `test_divReturnType7()`
`void` `test_idiv1()`
`void` `test_idiv2()`
`void` `test_idiv3()`
`void` `test_idivReturnType1()`
`void` `test_idivReturnType2()`
`void` `test_idivReturnType3()`
`void` `test_minusReturnType1()`
`void` `test_minusReturnType10()`
`void` `test_minusReturnType2()`
`void` `test_minusReturnType3()`
`void` `test_minusReturnType4()`
`void` `test_minusReturnType5()`
`void` `test_minusReturnType6()`
`void` `test_minusReturnType7()`
`void` `test_minusReturnType8()`
`void` `test_minusReturnType9()`
`void` `test_multReturnType1()`
`void` `test_multReturnType2()`
`void` `test_multReturnType3()`
`void` `test_multReturnType4()`
`void` `test_plusReturnType1()`
`void` `test_plusReturnType10()`
`void` `test_plusReturnType11()`
`void` `test_plusReturnType12()`
`void` `test_plusReturnType2()`
`void` `test_plusReturnType3()`
`void` `test_plusReturnType4()`
`void` `test_plusReturnType5()`
`void` `test_plusReturnType6()`
`void` `test_plusReturnType7()`
`void` `test_plusReturnType8()`
`void` `test_plusReturnType9()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OpNumericTest

    public OpNumericTest()

Method Detail

### test_idiv1

    public void test_idiv1()

### test_idiv2

    public void test_idiv2()

### test_idiv3

    public void test_idiv3()

### test_idivReturnType1

    public void test_idivReturnType1()

### test_idivReturnType2

    public void test_idivReturnType2()

### test_idivReturnType3

    public void test_idivReturnType3()

### test_divReturnType1

    public void test_divReturnType1()

### test_divReturnType2

    public void test_divReturnType2()

### test_divReturnType3

    public void test_divReturnType3()

### test_divReturnType4

    public void test_divReturnType4()

### test_divReturnType5

    public void test_divReturnType5()

### test_divReturnType6

    public void test_divReturnType6()

### test_divReturnType7

    public void test_divReturnType7()

### test_multReturnType1

    public void test_multReturnType1()

### test_multReturnType2

    public void test_multReturnType2()

### test_multReturnType3

    public void test_multReturnType3()

### test_multReturnType4

    public void test_multReturnType4()

### test_plusReturnType1

    public void test_plusReturnType1()

### test_plusReturnType2

    public void test_plusReturnType2()

### test_plusReturnType3

    public void test_plusReturnType3()

### test_plusReturnType4

    public void test_plusReturnType4()

### test_plusReturnType5

    public void test_plusReturnType5()

### test_plusReturnType6

    public void test_plusReturnType6()

### test_plusReturnType7

    public void test_plusReturnType7()

### test_plusReturnType8

    public void test_plusReturnType8()

### test_plusReturnType9

    public void test_plusReturnType9()

### test_plusReturnType10

    public void test_plusReturnType10()

### test_plusReturnType11

    public void test_plusReturnType11()

### test_plusReturnType12

    public void test_plusReturnType12()

### test_minusReturnType1

    public void test_minusReturnType1()

### test_minusReturnType2

    public void test_minusReturnType2()

### test_minusReturnType3

    public void test_minusReturnType3()

### test_minusReturnType4

    public void test_minusReturnType4()

### test_minusReturnType5

    public void test_minusReturnType5()

### test_minusReturnType6

    public void test_minusReturnType6()

### test_minusReturnType7

    public void test_minusReturnType7()

### test_minusReturnType8

    public void test_minusReturnType8()

### test_minusReturnType9

    public void test_minusReturnType9()

### test_minusReturnType10

    public void test_minusReturnType10()

Copyright (C) Wolfgang Meier. All rights reserved.